## ubuntu-release-upgrader 21.04.17

=== debian/changelog ===
ubuntu-release-upgrader (1:21.04.17) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeFetcherCore.py: when running in non-interactive
    mode do not show the release notes. (LP: #1944475)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Thu, 23 Sep 2021 13:52:27 -0500

ubuntu-release-upgrader (1:21.04.16) hirsute; urgency=medium

  * DistUpgrade/ReleaseAnnouncement, DistUpgrade/EOLReleaseAnnouncement:
    Update the irc channel server reference to Libera.Chat (LP: #1937852)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Jul 2021 13:18:23 -0700

ubuntu-release-upgrader (1:21.04.15) hirsute; urgency=medium

  * check-new-release-gtk: use gi.require_version('Gtk', '3.0') to ensure we
    load the right version. (LP: #1936698)
  * tests/test_sources_list.py: use distro_info to set releases when
    performing some upgrade tests which fixes test failures when precise
    was moved to old-releases, additionally fix some tests for ports.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Mon, 19 Jul 2021 14:38:57 -0700

ubuntu-release-upgrader (1:21.04.14) hirsute; urgency=medium

  * Allow upgrades on Apple systems again (LP: #1934650)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 05 Jul 2021 10:56:42 +0200

ubuntu-release-upgrader (1:21.04.13) hirsute; urgency=medium

  * tests/test_sources_list.py: switch from precise to focal (for ports too!)
    as precise was removed from the archive.
  * DistUpgradeQuirks.py: only block upgrades for Apple hardware not all
    hardware that doesn't have DMI information. Thanks to Alyssa Rowan for the
    patch. (LP: #1931112)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Jun 2021 09:12:19 -0700

ubuntu-release-upgrader (1:21.04.12) hirsute; urgency=medium

  * DistUpgrade/DevelReleaseAnnouncement: remove warning regarding upgrading
    to hirsute.
  * DistUpgradeQuirks.py: add in a method for reading the system vendor out of
    DMI information which then can be used to block upgrades. (LP: #1929449)
  * DistUpgradeQuirks.py: If the system vendor is Apple do not allow release
    upgrades to 21.04 for the time being. (LP: #1929449)
  * DistUpgradeFetcherCore.py: when upgrading with the text view display the
    release announcement in the terminal. (LP: #1925529)
  * tests/test_dist_upgrade_fetcher_core.py: do not display the release
    announcement during the test.
  * tests/test_sources_list.py: switch from precise to focal and precise was
    removed from the archive.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 May 2021 15:03:04 -0700

ubuntu-release-upgrader (1:21.04.11) hirsute; urgency=medium

  * DistUpgrade/DevelReleaseAnnouncement: Add a statement recommending that
    people do not upgrade to hirsute at this point in time.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Wed, 21 Apr 2021 16:00:16 -0700
