## ubuntu-release-upgrader 21.10.8

=== debian/changelog ===
ubuntu-release-upgrader (1:21.10.8) impish; urgency=medium

  [ Olivier Tilloy ]
  * DistUpgrade/deb2snap.json: seed the snaps for firefox (which replaces the
    deb package) and gnome-3-38-2004. (LP: #1943840)

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeFetcherCore.py: when running in non-interactive
    mode do not show the release notes. (LP: #1944475)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Wed, 22 Sep 2021 11:22:12 -0700

ubuntu-release-upgrader (1:21.10.7) impish; urgency=medium

  [ Dave Jones ]
  * DistUpgrade/DistUpgradeQuirks.py: Add quirk to merge raspi boot config
    into one file, and remove u-boot references (LP: #1936401)

  [ Brian Murray ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 24 Aug 2021 11:17:22 -0700

ubuntu-release-upgrader (1:21.10.6) impish; urgency=medium

  * DistUpgrade/ReleaseAnnouncement, DistUpgrade/EOLReleaseAnnouncement:
    Update the irc channel server reference to Libera.Chat (LP: #1937852)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 23 Jul 2021 10:14:23 -0700

ubuntu-release-upgrader (1:21.10.5) impish; urgency=medium

  * check-new-release-gtk: use gi.require_version('Gtk', '3.0') to ensure we
    load the right version. (LP: #1936698)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Jul 2021 16:01:02 -0700

ubuntu-release-upgrader (1:21.10.4) impish; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: log a message when we encounter an
    unhandled error checking for snap store connectivity. (LP: #1930901)
  * tests/test_sources_list.py: use distro_info to set releases when
    performing some upgrade tests.
  * DistUpgrade/DistUpgradeQuirks.py: disable the python is python2 quirk.
  * DistUpgrade/DistUpgradeCache.py: switch to use finally in distUpgrade so
    that error messages in some quirks will be able to work.

 -- Brian Murray <brian@ubuntu.com>  Wed, 30 Jun 2021 16:24:08 -0700

ubuntu-release-upgrader (1:21.10.3) impish; urgency=medium

  * DistUpgradeQuirks.py: add in a method for reading the system vendor out of
    DMI information which then can be used to block upgrades. (LP: #1929449)
  * tests/test_sources_list.py: switch from precise to focal as precise was
    removed from the archive.

 -- Brian Murray <brian@ubuntu.com>  Wed, 26 May 2021 13:25:36 -0700

ubuntu-release-upgrader (1:21.10.2) impish; urgency=medium

  * DistUpgradeFetcherCore.py: when upgrading with the text view display the
    release announcement in the terminal. (LP: #1925529)
  * tests/test_dist_upgrade_fetcher_core.py: do not display the release
    announcement during the test.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 May 2021 15:43:16 -0700

ubuntu-release-upgrader (1:21.10.1) impish; urgency=medium

  * Update for 21.04 -> 21.10.

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Apr 2021 11:01:58 -0700
