## ubuntu-release-upgrader 21.10.10

=== debian/changelog ===
ubuntu-release-upgrader (1:21.10.10) impish; urgency=medium

  * Ship a DistUpgrade.cfg.groovy and demoted.cfg.groovy to allow upgrades
    from Groovy to Impish to be allowed. (LP: #1975533)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Mon, 27 Jun 2022 15:47:00 -0700

ubuntu-release-upgrader (1:21.10.9) impish; urgency=medium

  * do-release-upgrade: Preserve env vars needed for screen lock prevention (LP: #1968607).
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 14 Apr 2022 12:56:05 -0400
