## ubuntu-release-upgrader 22.04.10

=== debian/changelog ===
ubuntu-release-upgrader (1:22.04.10) jammy; urgency=medium

  * DistUpgrade: Set NEEDRESTART_SUSPEND during upgrades (LP: #1968919).
  * do-release-upgrade: Fix a typo in the --help output.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 18 Apr 2022 13:47:54 -0400

ubuntu-release-upgrader (1:22.04.9) jammy; urgency=medium

  [ Nick Rosbrook ]
  * do-release-upgrade: Preserve env vars needed for screen lock prevention (LP: #1968607).
  * DistUpgrade/DistUpgradeController.py: Do not make UI dialog calls while
    EUID != 0.

  [ Brian Murray ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 Apr 2022 14:30:37 -0700

ubuntu-release-upgrader (1:22.04.8) jammy; urgency=medium

  [ Brian Murray ]
  * Update the firefox deb2snap entry so that it includes Ubuntu Studio.
  * Modify the ubuntu-release-upgrader apport package hook to also gather
    recent messages in journalctl and a list of crashes in /var/crash as one
    of those may have negatively affected the upgrade process.

  [ Christian Ehrhardt ]
  * d/91-release-upgrade: try to use the less expensive /etc/lsb-release
    to check if we are in a devel release (LP: #1893716)

 -- Brian Murray <brian@ubuntu.com>  Thu, 31 Mar 2022 14:23:13 -0700

ubuntu-release-upgrader (1:22.04.7) jammy; urgency=medium

  [ Brian Murray ]
  * Inclusive naming updates.

  [ Nick Rosbrook ]
  * Replace core18 with core20 in DistUpgrade/deb2snap.json.
  * Add firefox deb2snap entries for appropriate flavors. This includes
    Kubuntu, where an issue was already reported (LP: #1964443).

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Mar 2022 10:47:02 -0700

ubuntu-release-upgrader (1:22.04.6) jammy; urgency=medium

  * Prevent upgrades to jammy on POWER8 (LP: #19602550).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 23 Feb 2022 12:37:39 -0800

ubuntu-release-upgrader (1:22.04.5) jammy; urgency=medium

  [ Brian Murray ]
  * debian/control: rename the main branch
  * Increase the fallback KERNEL_INITRD_SIZE so that there is room for
    commonly used modules in the initramfs subsequently some upgrades may be
    disallowed due to a lack of free space in /boot.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Nick Rosbrook ]
  * Update download rates in estimated download message (LP: #1947581)
  * Use org.freedesktop.ScreenSaver to inhibit screen lock (LP: #1959458).
    This approach also works in Kubuntu.

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Feb 2022 11:01:58 -0800

ubuntu-release-upgrader (1:22.04.4) jammy; urgency=medium

  [ Steve Langasek ]
  * DistUpgrade/DistUpgradeController.py: remove references to
    archive.canonical.com from sources.list on upgrade.  LP: #1959343.

  [ Brian Murray ]
  * tests/test_sources_list.py: update the tests which expected / utilized the
    archive.canonical.com partner repository.

 -- Brian Murray <brian@ubuntu.com>  Fri, 28 Jan 2022 11:39:24 -0800

ubuntu-release-upgrader (1:22.04.3) jammy; urgency=medium

  * DistUpgrade/DistUpgradeController.py: switch from using os.readlink to
    os.path.realpath when checking for the default python version. Thanks to
    Nico Schlömer. (LP: #1953135)
  * data/release-upgrades: set Prompt to lts as jammy is an LTS release.
    (LP: #1955843)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Jan 2022 14:27:07 -0800

ubuntu-release-upgrader (1:22.04.2) jammy; urgency=medium

  [ Didier Roche ]
  * DistUpgrade/DistUpgradeQuirks.py: Only try to connect to snapd if there is
    a socket for system activation or if snapd was already running. This
    resolves failures to upgrade under WSL. (LP: #1926267)

 -- Brian Murray <brian@ubuntu.com>  Fri, 29 Oct 2021 09:59:29 -0700

ubuntu-release-upgrader (1:22.04.1) jammy; urgency=medium

  * Update for 21.10 -> 22.04.
  * debian/control: have python3-distupgrade depend on procps which provides
    pgrep. (LP: #1947333)

 -- Brian Murray <brian@ubuntu.com>  Mon, 18 Oct 2021 15:57:35 -0700
