=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends-Indep: libxml-parser-perl, 
                      intltool
 Standards-Version: 4.3.0
-Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/master
+Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/main
 
 Package: ubuntu-release-upgrader-core
 Architecture: all
@@ -40,10 +40,12 @@
          ${misc:Depends},
          python3-update-manager (>= 1:19.04.2~),
          python3-apt (>= 0.8.5~),
+         python3-dbus,
          python3-distro-info,
          gpgv,
          lsb-release,
-         sensible-utils
+         sensible-utils,
+         procps
 Replaces: python3-update-manager (<< 1:0.165)
 Breaks: python3-update-manager (<< 1:0.165)
 Description: manage release upgrades
