## ubuntu-release-upgrader 22.04.17

=== debian/changelog ===
ubuntu-release-upgrader (1:22.04.17) jammy; urgency=medium

  * Run pre-build.sh: update mirrors for 22.04.3.

 -- Paride Legovini <paride@ubuntu.com>  Wed, 02 Aug 2023 17:53:09 +0200

ubuntu-release-upgrader (1:22.04.16) jammy; urgency=medium

  * Run pre-build.sh: updating mirrors and translations for 22.04.2.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 10 Feb 2023 12:16:59 +0100

ubuntu-release-upgrader (1:22.04.15) jammy; urgency=medium

  * DistUpgrade: Remove firefox from deb2snap.json (LP: #1964036)
  * DistUpgrade: Just pass filename to apport report (LP: #1985964)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 14 Oct 2022 10:29:36 -0400

ubuntu-release-upgrader (1:22.04.14) jammy; urgency=medium

  * When upgrading from Ubuntu 20.04 or Ubuntu 20.10 require a version of apt
    which fixed a bug in apt (LP: 1871268) and prevents an early failure to
    upgrade. (LP: #1987452)
  * In the nvidia driver quirk handle the case where ubuntu-drivers-common is
    not installed on the system to be upgraded. (LP: #1985253)
  * Run pre-build.sh: updating mirrors and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 23 Aug 2022 16:25:59 -0700

ubuntu-release-upgrader (1:22.04.13) jammy; urgency=medium

  [ Simon Chopin ]
  * Add a quirk to resolve an issue where the nvidia driver would get
    suggested for autoremoval. (LP: #1955047)

  [ Steve Langasek ]
  * On upgrade to 22.04, detect the presence of pam_tally* in /etc/pam.d and
    block the upgrade early, to avoid an abort from libpam-modules in the
    middle of the apt upgrade.  LP: #1977493.
  * Run pre-build.sh: updating mirrors and translations.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 Aug 2022 17:15:07 -0700

ubuntu-release-upgrader (1:22.04.12) jammy; urgency=medium

  [ Brian Murray ]
  * Add support for upgrading from End of Life releases (Ubuntu 20.10 and
    Ubuntu 21.04) to Ubuntu 22.04. (LP: #1975533)
  * DistUpgrade: Do not attempt to reboot in WSL. (LP: #1958668)
  * DistUpgrade/deb2snap.json: gnome-3-34-1804 is no longer a seeded snap and
    should not be refreshed. (LP: #1981485)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ William 'jawn-smith' Wilson ]
  * tests/test_quirks.py: Remove declaration of unused variables

 -- Brian Murray <brian@ubuntu.com>  Tue, 19 Jul 2022 06:52:28 -0700

ubuntu-release-upgrader (1:22.04.11) jammy; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * DistUpgrade/DistUpgradeQuirks.py: Remove section of netplan
    config that is installed by default on Raspberry Pi and
    causes netplan failures after upgrade to jammy (LP: #1970761)

  [ Nick Rosbrook ]
  * DistUpgrade: Gracefully handle missing dbus module (LP: #1965568).
  * DistUpgrade: Do not show lock screen error if XDG_SESSION_TYPE is
    tty (LP: #1973785).
  * DistUpgrade: Add deb2snap entry for snapd-desktop-integration (LP: #1975747).
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 26 May 2022 10:49:26 -0400
