## ubuntu-release-upgrader 22.04.18

=== debian/changelog ===
ubuntu-release-upgrader (1:22.04.18) jammy; urgency=medium

  * do-release-upgrade: pass XDG_CURRENT_DESKTOP env var (LP: #2034986)
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 12 Oct 2023 11:56:03 -0400
