## ubuntu-release-upgrader 22.04.19

=== debian/changelog ===
ubuntu-release-upgrader (1:22.04.19) jammy; urgency=medium

  * Run pre-build.sh: update mirrors and translations for 22.04.4

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Feb 2024 13:47:54 +0000
