## ubuntu-release-upgrader 22.04.19+11.0trisquel14

=== debian/changelog ===
ubuntu-release-upgrader (1:22.04.19+11.0trisquel14) aramo; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 15 Feb 2024 18:39:12 +0000

ubuntu-release-upgrader (1:22.04.19) aramo; urgency=medium

  * Run pre-build.sh: update mirrors and translations for 22.04.4

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Feb 2024 13:47:54 +0000

ubuntu-release-upgrader (1:22.04.18) aramo; urgency=medium

  * do-release-upgrade: pass XDG_CURRENT_DESKTOP env var (LP: #2034986)
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 12 Oct 2023 11:56:03 -0400

ubuntu-release-upgrader (1:22.04.17) aramo; urgency=medium

  * Run pre-build.sh: update mirrors for 22.04.3.

 -- Paride Legovini <paride@ubuntu.com>  Wed, 02 Aug 2023 17:53:09 +0200

ubuntu-release-upgrader (1:22.04.16) aramo; urgency=medium

  * Run pre-build.sh: updating mirrors and translations for 22.04.2.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 10 Feb 2023 12:16:59 +0100

ubuntu-release-upgrader (1:22.04.15) aramo; urgency=medium

  * DistUpgrade: Remove firefox from deb2snap.json (LP: #1964036)
  * DistUpgrade: Just pass filename to apport report (LP: #1985964)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 14 Oct 2022 10:29:36 -0400

ubuntu-release-upgrader (1:22.04.14) aramo; urgency=medium

  * When upgrading from Trisquel 20.04 or Trisquel 20.10 require a version of apt
    which fixed a bug in apt (LP: 1871268) and prevents an early failure to
    upgrade. (LP: #1987452)
  * In the nvidia driver quirk handle the case where trisquel-drivers-common is
    not installed on the system to be upgraded. (LP: #1985253)
  * Run pre-build.sh: updating mirrors and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 23 Aug 2022 16:25:59 -0700

ubuntu-release-upgrader (1:22.04.13) aramo; urgency=medium

  [ Simon Chopin ]
  * Add a quirk to resolve an issue where the nvidia driver would get
    suggested for autoremoval. (LP: #1955047)

  [ Steve Langasek ]
  * On upgrade to 22.04, detect the presence of pam_tally* in /etc/pam.d and
    block the upgrade early, to avoid an abort from libpam-modules in the
    middle of the apt upgrade.  LP: #1977493.
  * Run pre-build.sh: updating mirrors and translations.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 Aug 2022 17:15:07 -0700

ubuntu-release-upgrader (1:22.04.12) aramo; urgency=medium

  [ Brian Murray ]
  * Add support for upgrading from End of Life releases (Trisquel 20.10 and
    Trisquel 21.04) to Trisquel 22.04. (LP: #1975533)
  * DistUpgrade: Do not attempt to reboot in WSL. (LP: #1958668)
  * DistUpgrade/deb2snap.json: gnome-3-34-1804 is no longer a seeded snap and
    should not be refreshed. (LP: #1981485)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ William 'jawn-smith' Wilson ]
  * tests/test_quirks.py: Remove declaration of unused variables

 -- Brian Murray <brian@ubuntu.com>  Tue, 19 Jul 2022 06:52:28 -0700

ubuntu-release-upgrader (1:22.04.11) aramo; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * DistUpgrade/DistUpgradeQuirks.py: Remove section of netplan
    config that is installed by default on Raspberry Pi and
    causes netplan failures after upgrade to aramo (LP: #1970761)

  [ Nick Rosbrook ]
  * DistUpgrade: Gracefully handle missing dbus module (LP: #1965568).
  * DistUpgrade: Do not show lock screen error if XDG_SESSION_TYPE is
    tty (LP: #1973785).
  * DistUpgrade: Add deb2snap entry for snapd-desktop-integration (LP: #1975747).
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 26 May 2022 10:49:26 -0400

ubuntu-release-upgrader (1:22.04.10) aramo; urgency=medium

  * DistUpgrade: Set NEEDRESTART_SUSPEND during upgrades (LP: #1968919).
  * do-release-upgrade: Fix a typo in the --help output.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 18 Apr 2022 13:47:54 -0400

ubuntu-release-upgrader (1:22.04.9) aramo; urgency=medium

  [ Nick Rosbrook ]
  * do-release-upgrade: Preserve env vars needed for screen lock prevention (LP: #1968607).
  * DistUpgrade/DistUpgradeController.py: Do not make UI dialog calls while
    EUID != 0.

  [ Brian Murray ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 Apr 2022 14:30:37 -0700

ubuntu-release-upgrader (1:22.04.8) aramo; urgency=medium

  [ Brian Murray ]
  * Update the firefox deb2snap entry so that it includes Trisquel Studio.
  * Modify the trisquel-release-upgrader apport package hook to also gather
    recent messages in journalctl and a list of crashes in /var/crash as one
    of those may have negatively affected the upgrade process.

  [ Christian Ehrhardt ]
  * d/91-release-upgrade: try to use the less expensive /etc/lsb-release
    to check if we are in a devel release (LP: #1893716)

 -- Brian Murray <brian@ubuntu.com>  Thu, 31 Mar 2022 14:23:13 -0700

ubuntu-release-upgrader (1:22.04.7) aramo; urgency=medium

  [ Brian Murray ]
  * Inclusive naming updates.

  [ Nick Rosbrook ]
  * Replace core18 with core20 in DistUpgrade/deb2snap.json.
  * Add firefox deb2snap entries for appropriate flavors. This includes
    Triskel, where an issue was already reported (LP: #1964443).

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Mar 2022 10:47:02 -0700

ubuntu-release-upgrader (1:22.04.6) aramo; urgency=medium

  * Prevent upgrades to aramo on POWER8 (LP: #19602550).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 23 Feb 2022 12:37:39 -0800

ubuntu-release-upgrader (1:22.04.5) aramo; urgency=medium

  [ Brian Murray ]
  * debian/control: rename the main branch
  * Increase the fallback KERNEL_INITRD_SIZE so that there is room for

