## ubuntu-release-upgrader 22.04.20

=== debian/changelog ===
ubuntu-release-upgrader (1:22.04.20) jammy; urgency=medium

  * Run pre-build.sh: update mirrors and translations for 22.04.5

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 10 Sep 2024 12:28:10 +0000
