## ubuntu-release-upgrader 22.10.8

=== debian/changelog ===
ubuntu-release-upgrader (1:22.10.8) kinetic; urgency=medium

  * DistUpgrade: Cast to int when calling QProgressBar.setValue() (LP: #1991096)
  * DistUpgrade: Just pass filename to apport report (LP: #1985964)
  * DistUpgrade: Remove firefox from deb2snap.json (LP: #1964036)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 29 Sep 2022 15:13:49 -0400

ubuntu-release-upgrader (1:22.10.7) kinetic; urgency=medium

  * DistUpgrade/DistUpgradeController.py: In one of the final calls of
    need_server_mode() do not allow switching from a desktop mode upgrade to a
    server mode upgrade. (LP: #1969786)
  * data/release-upgrades: set Prompt to normal
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Mon, 22 Aug 2022 12:56:34 -0700

ubuntu-release-upgrader (1:22.10.6) kinetic; urgency=medium

  * utils/demotions.py: check old-releases.u.c so that we can generate
    demotions for releases which have reached their End of Life.
  * data/DistUpgrade.cfg: remove mythbuntu and kubuntu-netbook metapackages.
  * DistUpgrade/deb2snap.json: gnome-3-34-1804 is no longer a seeded snap and
    should not be refreshed. (LP: #1981485)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 15 Jul 2022 14:34:14 -0700

ubuntu-release-upgrader (1:22.10.5) kinetic; urgency=medium

  [ Edu Gómez Escandell ]
   * DistUpgrade: No longer attempt to reboot in WSL (LP: #1958668).

  [ Brian Murray ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Jul 2022 13:07:45 -0700

ubuntu-release-upgrader (1:22.10.4) kinetic; urgency=medium

  * DistUpgrade: Add deb2snap entry for snapd-desktop-integration (LP: #1975747).
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Thu, 26 May 2022 12:49:15 -0700

ubuntu-release-upgrader (1:22.10.3) kinetic; urgency=medium

  * DistUpgrade: Do not show lock screen error if XDG_SESSION_TYPE is
    tty (LP: #1973785).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 18 May 2022 09:38:56 -0700

ubuntu-release-upgrader (1:22.10.2) kinetic; urgency=medium

  * DistUpgrade: Gracefully handle missing dbus module (LP: #1965568).
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 09 May 2022 12:16:49 -0400

ubuntu-release-upgrader (1:22.10.1) kinetic; urgency=medium

  * data: Update do-release-upgrade man page.
  * Update for 22.04 -> 22.10.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 28 Apr 2022 13:56:43 -0700
