## ubuntu-release-upgrader 23.04.5

=== debian/changelog ===
ubuntu-release-upgrader (1:23.04.5) lunar; urgency=medium

  * Update the autopkgtests for the deb2snap changes.

 -- Brian Murray <brian@ubuntu.com>  Wed, 12 Apr 2023 19:17:15 -0700

ubuntu-release-upgrader (1:23.04.4) lunar; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/deb2snap.json: Add in the snap gnome-42-2204 which is now
    seeded for Ubuntu Desktop, move gnome-3-38-2004 to unseeded which will
    make it a candidate for removal if it is unused.

  [ Nick Rosbrook ]
  * DistUpgrade: Make apport ignore tracker-extract-3 during upgrade (LP: #2012638)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 12 Apr 2023 14:36:20 -0400

ubuntu-release-upgrader (1:23.04.3) lunar; urgency=medium

  * DistUpgrade: Dynamically get new version string for UI labels (LP: #2015087)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 03 Apr 2023 12:39:16 -0400

ubuntu-release-upgrader (1:23.04.2) lunar; urgency=medium

  [ Nick Rosbrook ]
  * DistUpgradeQuirks: Add quirk to prevent flatpak auto-removal if needed
  * setup.py: Make version string PEP-440 compliant
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Rudra Saraswat ]
  * Add unity-desktop to DistUpgrade.cfg (LP: #2003014)

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 22 Feb 2023 16:56:29 -0500

ubuntu-release-upgrader (1:23.04.1) lunar; urgency=medium

  * Update for 22.10 -> 23.04.
  * Update for 22.04 -> 23.04.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Nov 2022 06:14:23 -0800
