## ubuntu-release-upgrader 23.04.7

=== debian/changelog ===
ubuntu-release-upgrader (1:23.04.7) lunar; urgency=medium

  * do-release-upgrade: pass XDG_CURRENT_DESKTOP env var (LP: #2034986)
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 12 Oct 2023 10:52:01 -0400
