## ubuntu-release-upgrader 23.10.5

=== debian/changelog ===
ubuntu-release-upgrader (1:23.10.5) mantic; urgency=medium

  * Do not embed keyring in ubuntu.sources (LP: #2029142):
    - DistUpgradeController: do not embed keyring in ubuntu.sources
    - test: do not expect embedded keyring in ubuntu.sources
  * test: fix deb822 tests on port arches
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 02 Aug 2023 11:27:57 -0400

ubuntu-release-upgrader (1:23.10.4) mantic; urgency=medium

  * DistUpgradeController: migrate to deb822 sources on upgrade
  * test: add TestDeb822SourcesUpdate to test deb822 source rewrite
  * test: add unit test for migration to deb822 sources
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 28 Jul 2023 14:07:26 -0400

ubuntu-release-upgrader (1:23.10.3) mantic; urgency=medium

  * DistUpgradeViewKDE.py: Fix a crash when writing text on a key press event.
    Thanks Launchpad user Matteo Italia for the fix. (LP: #2020414)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 09 Jun 2023 14:26:34 -0700

ubuntu-release-upgrader (1:23.10.2) mantic; urgency=medium

  * Switch from webkit2gtk 4.0 to 4.1 (uses libsoup3)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jun 2023 08:36:10 -0400

ubuntu-release-upgrader (1:23.10.1) mantic; urgency=medium

  * Update for mantic
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 02 May 2023 08:01:01 -0400
