## ubuntu-release-upgrader 23.10.8

=== debian/changelog ===
ubuntu-release-upgrader (1:23.10.8) mantic; urgency=medium

  * deb2snap.json: bump core20 to core22.
  * deb2snap.json: add firmware-updater as a seeded snap.
  * tests/test_quirks.py: update tests to reflect the core22 bump.
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 04 Oct 2023 16:56:15 +0530

ubuntu-release-upgrader (1:23.10.7) mantic; urgency=medium

  * DistUpgradeQuirks: Use generic font temporarily at upgrade
    (LP: #2034986)
  * DistUpgradeQuirks: Switch snap channels instead of refresh
    (LP: #2036765)
  * DistUpgradeController: Ensure security archive is used for security pocket
    (LP: #2036679)
  * Run pre-build.sh: updating mirrors and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 29 Sep 2023 14:44:34 -0400

ubuntu-release-upgrader (1:23.10.6) mantic; urgency=medium

  * DistUpgrade: do not migrate to deb822 by default (LP: #2036288)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 15 Sep 2023 16:07:26 -0400
