=== debian/control ===
--- 
+++ 
@@ -42,7 +42,6 @@
          python3-apt (>= 0.8.5~),
          python3-dbus,
          python3-distro-info,
-         python3-yaml,
          gpgv,
          lsb-release,
          sensible-utils,
@@ -64,7 +63,7 @@
          python3-gi (>= 3.8),
          gir1.2-vte-2.91,
          gir1.2-gtk-3.0,
-         gir1.2-webkit2-4.0
+         gir1.2-webkit2-4.1
 Description: manage release upgrades
  This is the GTK+ frontend of the Ubuntu Release Upgrader
