## ubuntu-release-upgrader 23.10.14

=== debian/changelog ===
ubuntu-release-upgrader (1:23.10.14) mantic; urgency=medium

  * DistUpgradeQuirks: prevent upgrades on BIOS systems with XFS /boot
    (LP: #2039172)
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Sun, 05 Nov 2023 01:39:16 -0400

ubuntu-release-upgrader (1:23.10.13) mantic; urgency=medium

  * do-release-upgrade: pass XDG_CURRENT_DESKTOP env var (LP: #2034986)
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 26 Oct 2023 15:34:05 -0400

ubuntu-release-upgrader (1:23.10.12) mantic; urgency=medium

  [ Gunnar Hjalmarsson ]
  * Adjustments of unreadable text workaround (LP: #2039356)

  [ Nick Rosbrook ]
  * Temporarily revert "do-release-upgrade: pass XDG_CURRENT_DESKTOP env var"
    to unblock other fixes.
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 16 Oct 2023 16:49:53 -0400

ubuntu-release-upgrader (1:23.10.11) mantic; urgency=medium

  * do-release-upgrade: pass XDG_CURRENT_DESKTOP env var (LP: #2034986)
  * tests: use di.stable() instead of di.devel()
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 12 Oct 2023 10:46:33 -0400

ubuntu-release-upgrader (1:23.10.10) mantic; urgency=medium

  * Fix failing autopkgtest due to PEP8 line to long issue.
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Brian Murray <brian@ubuntu.com>  Wed, 11 Oct 2023 04:48:13 -0700

ubuntu-release-upgrader (1:23.10.9) mantic; urgency=medium

  [ Tim Andersson ]
  * fix: stop TypeError traceback in DistUpgradeQuirks:_set_generic_font
    (LP: #2038900)

  [ Brian Murray ]
  * Run pre-build.sh: updating po files, mirrors, and demotions.

  [ Gunnar Hjalmarsson ]
  * Temporary font for Ubuntu MATE (LP: #2034986)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 10 Oct 2023 11:48:56 -0400
