## ubuntu-release-upgrader 24.04.4

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.4) noble; urgency=medium

  * DistUpgrade: re-enable migration to deb822 on upgrade
  * DistUpgrade: configure apt to install phased updates during upgrade (LP: #2045784)
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 05 Jan 2024 15:38:49 -0500

ubuntu-release-upgrader (1:24.04.3) noble; urgency=medium

  * DistUpgradeQuirk: do not use XFS /boot quirk for arm64 UEFI
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Sun, 05 Nov 2023 01:47:58 -0400

ubuntu-release-upgrader (1:24.04.2) noble; urgency=medium

  * DistUpgradeQuirks: prevent upgrades on some systems with XFS /boot
    (LP: #2039172)
  * DistUpgradeQuirks: fix whitespace
  * DistUpgrade: indicate that noble is LTS in release annoucement
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Sat, 04 Nov 2023 15:30:36 -0400

ubuntu-release-upgrader (1:24.04.1) noble; urgency=medium

  * do-release-upgrade: pass XDG_CURRENT_DESKTOP env var (LP: #2034986)
  * Update for noble
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 26 Oct 2023 15:23:52 -0400
