## ubuntu-release-upgrader 24.04.16

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.16) noble; urgency=medium

  [ Nathan Pratta Teodosio ]
  * DistUpgrade: readfp was replaced by read_file in configparser.
    (LP: #2062435)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 19 Apr 2024 15:44:24 -0400

ubuntu-release-upgrader (1:24.04.15) noble; urgency=medium

  * DistUpgrade.cfg.jammy: keep {netfilter,iptables}-persistent installed
    (LP: #2061891)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 17 Apr 2024 17:10:33 -0400

ubuntu-release-upgrader (1:24.04.14) noble; urgency=medium

  [ Brian Murray ]
  * Set prompt to lts because 24.04 is one (LP: #2061214)

  [ Nick Rosbrook ]
  * DistUpgradeQuirks: tell apport to ignore update-apt-xapian-index
    (LP: #2058227)
  * DistUpgradeQuirk: fix check for linux-image-raspi in cache (LP: #2061181)
  * DistUpgradeQuirks: handle t64 replacement packages (LP: #2061175)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 15 Apr 2024 15:02:26 -0400

ubuntu-release-upgrader (1:24.04.13) noble; urgency=medium

  * DistUpgradeQuirks: add quirk to remove gpg-wks-server (LP: #2060578)
  * DistUpgradeQuirks: prevent upgrades on armhf running raspi kernels
    (LP: #2060220)
  * debian: fix SyntaxWarning in apport hook
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 11 Apr 2024 18:10:33 -0400

ubuntu-release-upgrader (1:24.04.12) noble; urgency=medium

  [ Calvin Mwadime Makokha ]
  * fix(regex): fix invalid escape sequence error (LP: #2053038)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 02 Apr 2024 11:01:32 -0400

ubuntu-release-upgrader (1:24.04.11) noble; urgency=medium

  * test: fix typo assertEqaul (LP: #2059784)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 29 Mar 2024 10:49:09 -0400

ubuntu-release-upgrader (1:24.04.10) noble; urgency=medium

  * DistUpgrade: rewrite any deb822 sources even if sources.list still used
    (LP: #2058938)
  * DistUpgradeQuirks: re-enable tracker-extract-3 quirk (LP: #2049907)
  * DistUpgrade: fix allowance of third-party mirrors for deb822 sources
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 28 Mar 2024 16:38:56 -0400

ubuntu-release-upgrader (1:24.04.9) noble; urgency=medium

  * Revert "tests: fix some more deb822 tests"
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 14 Mar 2024 14:18:50 -0400

ubuntu-release-upgrader (1:24.04.8) noble; urgency=medium

  * tests: fix some more deb822 tests
  * DistUpgrade: include universe and multiverse in default components
    (LP: #2055720)
  * DistUpgrade: remove whitespace in DistUpgraceController.py
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 07 Mar 2024 15:57:06 -0500

ubuntu-release-upgrader (1:24.04.7) noble; urgency=medium

  * Fix some more test data for ports

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 13 Feb 2024 17:11:03 +0100

ubuntu-release-upgrader (1:24.04.6) noble; urgency=medium

  * Fix test-case for deb822 on ports

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 13 Feb 2024 10:04:44 +0100

ubuntu-release-upgrader (1:24.04.5) noble; urgency=medium

  * Bump the Build-Depends on python-apt to 2.7.5
  * Various fixes for the test suite (LP: #2051590)
    - tests: Update expected results for formatting changes in 2.7.5
    - DistUpgradeQuirks: Fix unused local variable 'e'
    - Adjust test for deb822 source merging in python-apt 2.7.5
    - Use isinstance() to check object types rather than type(...) == ..

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 12 Feb 2024 21:02:33 +0100
